Bug 1886022 - Move range allocations to CRD's
Summary: Move range allocations to CRD's
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-controller-manager
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Maciej Szulik
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: 1883458
TreeView+ depends on / blocked
 
Reported: 2020-10-07 13:32 UTC by Maciej Szulik
Modified: 2021-02-24 15:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1883458
Environment:
Last Closed: 2021-02-24 15:23:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-controller-manager-operator pull 462 0 None closed Bug 1886022: add new apigroup to rendered clusterrole copy 2021-01-07 17:14:26 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:24:25 UTC

Comment 2 RamaKasturi 2020-10-15 09:22:36 UTC
Verified bug in the payload below and do not see any errors related to rangeallocations.security.internal.openshift.io in the cpc log files. Also could list in oc api-resources as below.

[knarra@knarra openshift-client-linux-4.7.0-0.nightly-2020-10-15-011122]$ ./oc version
Client Version: 4.7.0-0.nightly-2020-10-15-011122
Server Version: 4.7.0-0.nightly-2020-10-15-011122
Kubernetes Version: v1.19.0+1110e21

[knarra@knarra openshift-client-linux-4.7.0-0.nightly-2020-10-15-011122]$ ./oc version -o yaml
clientVersion:
  buildDate: "2020-10-14T20:37:44Z"
  compiler: gc
  gitCommit: ef8cad49356c6d29a6f41ce9ac98a7bd65783d1e
  gitTreeState: clean
  gitVersion: openshift-clients-4.6.0-202006250705.p0-172-gef8cad493
  goVersion: go1.15.0
  major: ""
  minor: ""
  platform: linux/amd64
openshiftVersion: 4.7.0-0.nightly-2020-10-15-011122
releaseClientVersion: 4.7.0-0.nightly-2020-10-15-011122
serverVersion:
  buildDate: "2020-10-13T14:31:10Z"
  compiler: gc
  gitCommit: 1110e21d97f5f86b6993fbc4e5a4b21122e1bc2c
  gitTreeState: clean
  gitVersion: v1.19.0+1110e21
  goVersion: go1.15.0
  major: "1"
  minor: "19"
  platform: linux/amd64


[knarra@knarra openshift-client-linux-4.7.0-0.nightly-2020-10-15-011122]$ ./oc api-resources | grep security.internal
rangeallocations                                       security.internal.openshift.io        false        RangeAllocation

Based on the above moving bug to verified state.

Comment 5 errata-xmlrpc 2021-02-24 15:23:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.